Subject: Re: bug#43909: 26.1; read syntax breaks prettify-symbols

From: marmot-te <[email-masked]>
Date: Mon, 12 Oct 2020 17:24:15 +0000

On Sat, Oct 10 2020, Lars Ingebrigtsen wrote:

> marmot-te <[email-masked]> writes:
>
>> I constated that using the read syntaxe ?\“
>> will interfere with any prettified symbols below it in the buffer.
>>
> L : I'm guessing that your mail software has destroyed the code example, and

However I don't see any problem when I send it to my self, it's mu4e.
Should I escape somehow my backslashs ?

>L : that it was supposed to be:
[...]

yes

> M : A recipe for emacs -Q and an explanation of what
"interfere" exactly means would be nice

In the previous mail I forget the point : this bug appears in ~org-mode~
buffers.
Do I need to forward to another mailing list the issue ?

So in a scratch buffer, with emacs -Q, here the recipe :

(add-hook 'org-mode-hook 'prettify-symbols-mode)

?\" ;; after this point prettify does not behave correctly anymore

 ;; this will be a _lambda_ symbol when it should not
(setq-default prettify-symbols-alist '(("lambda" . 955)))

(org-mode)
(prettify-symbols-mode 0)
(prettify-symbols-mode 1)

 ;; this will not be a _lambda_ symbol when it should
lambda

?\"  ;; after this point prettify behaves correctly again

 ;; this will be a _lambda_ symbol like it should
lambda

--
<:3nn~~
   <:3nn~~
      <:3nn~~